Mailinglist Archive: opensuse (1606 mails)

< Previous Next >
[opensuse] Update - Firefox 3.0.1 & Thunderbird 2.0.0.16 crashes with CUPS print
  • From: "LLLActive@xxxxxxx" <LLLActive@xxxxxxx>
  • Date: Wed, 03 Sep 2008 08:53:33 +0200
  • Message-id: <48BE346D.5030305@xxxxxxx>
LLLActive@xxxxxxx wrote:
LLLActive@xxxxxxx wrote:
Wolfgang Rosenauer wrote:
Wolfgang Rosenauer schrieb:
I had:
:~> rpm -q --qf '%{name}-%{version}-%{release}-%{distribution}\n'
gtk2
gtk2-2.12.0-5.8-openSUSE 10.3 (X86-64)
:~> uname -a
Linux 2.6.22.18-0.2-default #1 SMP 2008-06-09 13:53:20 +0200
x86_64 x86_64 x86_64 GNU/Linux

Then I added the community build repos and the just updated gtk2:
:~> rpm -q --qf '%{name}-%{version}-%{release}-%{distribution}\n'
gtk2
gtk2-2.12.9-36.2-GNOME:STABLE / openSUSE_10.3

Now I had one print preview, and then tried printing: .... Crash!

It won't start now, but exits with:
:~> firefox
/usr/lib64/firefox/firefox: symbol lookup error:
/usr/lib64/libgtk-x11-2.0.so.0: undefined symbol: g_dpgettext

Is it a non 64 Bit GNOME:STABLE / OpenSUSE 10.3 I have here? Where
do I find the right gtk2? Which one is stable with OpenSUSE 10.3
and the latest updates?

Please note that this Gtk printing crash is not supposed to happen
in 10.3. At least there were never reports about that.

Not entirely true :-(
There was https://bugzilla.novell.com/show_bug.cgi?id=331725 but
this was only known to crash for GNOME:STABLE packages and not for
the official updates.

Wolfgang
Hi Wolfgang,

Thanks for the info. I struggled last night with various attempts to
solve the problem.

First I tried the GNOME update of gtk2, which failed as you see in my
previous mail. I saw other entries about gtk2 in the Inet, and
updated even to the newest gtk2 available. Then the problem expanded
that none of the GNOME proggies worked at all, all with this same
symbol lookup error.

Today I took out the community repos of GNOME and forced an update
with YaST to get back to the original state for the standard
OpenSUSE. Both Firefox and Thunderbird work again, but now both with
the crash when I want to do anything with printing.

Now I have:

Firefox 3.0:
Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.0.1)
Gecko/2008070400 SUSE/3.0.1-2.1 Firefox/3.0.1

Thunderbird: version 2.0.0.16 (20080720)

On OpenSUSE 10.3:
uname -a
Linux _ 2.6.22.18-0.2-default #1 SMP 2008-06-09 13:53:20 +0200 x86_64
x86_64 x86_64 GNU/Linux

with glib2:
rpm -q --qf '%{name}-%{version}-%{release}-%{distribution}\n' gtk2
gtk2-2.12.0-5.8-openSUSE 10.3 (X86-64)

More info:
Both Firefox and Thunderbird crash when I want to do anything
concerning printing. GIMP does not crash, it sends the data to the
printer and the printer reads the data by flashing the reception LED,
but then it just stops and go back to ready (a problem I had with
Evolution on more than one OpenSUSE distro before - I actually
dropped Evolution for Thunderbird!).
I am not sure when, but since an update with OpenSUSE Updater about 2
weeks ago the problem was reported to me by a user. I only came to
investigate it on Wednesday.

So, where do we go next? Any help highly appreciated!


:-)
Al



Both Thunderbird and Firefox crashes every time I want to print.

Which gtk2 / glib2 can I use on OpenSUSE 10.3 to solve this problem?


:-)
Al
I have another system with:
Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.9.0) Gecko/2008061600
SUSE/3.0-1.2 Firefox/3.0
and
Thunderbird version 2.0.0.14 (20080421)
and
gtk2-2.12.0-5.8-openSUSE 10.3 (X86-64)
with
Linux 2.6.22.18-0.2-default #1 SMP 2008-06-09 13:53:20 +0200 x86_64
x86_64 x86_64 GNU/Linux


where the problem does _not_ exist.

It seems that the newest Firefox & Thunderbird versions have a problem
with the newest gtk2-2.12.0-5.8-openSUSE 10.3 (X86-64).

:-)
Al




--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
References